Subject: bug#21729: doc-view messed up by early auto-revert

From: Stefan Monnier <[email-masked]>
Date: Thu, 03 Oct 2019 09:31:21 -0400

>>> I think in doc-view-mode it's obvious enough when a file is being
>>> reverted, so maybe we should set auto-revert-verbose to nil
>>> buffer-locally?
>> Sometimes emacs does weird things, and I think it's nice if it
>> explains what it does, even if it should be obvious.  Morever the
>> message is not only useful while the file is being reverted, but also
>> after the fact.  e.g. if I have foo.pdf open, and that file is
>> controlled by owncloud and gets updated by the cloud, I like to find
>> this information in *Messages*.
> Yes, I see.  But then we could still set `auto-revert-verbose' to nil
> buffer-locally and issue that message in `doc-view-revert-buffer'.

IIUC the message is emitted before calling doc-view-revert-buffer, so
doc-view-revert-buffer could just emit its own message (e.g. "Reverting
buffer... aborted!") and that would hide the generic message.

        Stefan